@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');

html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
    background-color: #f2f2f2;
}

a, .btn-link {
    color: #0366d6;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.content {
    padding-top: 1.1rem;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }


/*.star-icon {
    font-size: 40px;
    padding: 5px;
}

.star-icon:hover {
    color: #b93833;
}

.star-active {
    color: #b93833;
}*/

.stars i, .stars i:hover ~ i {
    color: #222;
    font-size:40px;
    text-shadow: none;
    transition: color 200ms, text-shadow 200ms;

    transition-delay: 0;
}


.stars:hover i {
    color: #fc0;
    text-shadow: #fc0 0 0 20px;
}

.stars:hover i:nth-child(2) {
    transition-delay: 30ms;
}

.stars:hover i:nth-child(3) {
    transition-delay: 60ms;
}

.stars:hover i:nth-child(4) {
    transition-delay: 90ms;
}

.stars:hover i:nth-child(5) {
    transition-delay: 120ms;
}

/* Miscellaneous styles. */
.stars i {
    cursor: pointer;
    font-style: normal;
}

.star-active {
    color: #fc0 !important;
    text-shadow: #fc0 0 0 20px !important;
}